Skip to main content
GET
/
api
/
public
/
v1
/
replies
/
threads
/
{thread_id}
/
messages
Get thread messages
curl --request GET \
  --url https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "message": "<string>",
  "thread_id": "<string>",
  "messages": [
    {
      "reply_id": "<string>",
      "from_email": "<string>",
      "to_email": "<string>",
      "subject": "<string>",
      "body_text": "<string>",
      "body_html": "<string>",
      "is_outgoing": true,
      "is_read": true,
      "created_at": "2023-11-07T05:31:56Z",
      "message_id": "<string>",
      "attachments": [
        {
          "filename": "<string>",
          "content_type": "<string>",
          "size_bytes": 123,
          "gcs_path": "<string>",
          "url": "<string>"
        }
      ]
    }
  ],
  "total_count": 123,
  "page": 123,
  "limit": 123,
  "total_pages": 123,
  "has_next": true,
  "has_prev": true
}

Authorizations

X-API-Key
string
header
required

API key with format cs_live_xxx

Path Parameters

thread_id
string<uuid>
required

Thread ID

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:50

Items per page

Required range: 1 <= x <= 100

Response

Thread messages retrieved

Response for listing replies in a thread.

success
boolean
required
message
string
required
thread_id
string
required

Thread ID

messages
ReplyMessageResponse · object[]
required

List of messages

total_count
integer
required

Total number of messages

page
integer
required

Current page number

limit
integer
required

Items per page

total_pages
integer
required

Total number of pages

has_next
boolean
required

Whether there are more pages

has_prev
boolean
required

Whether there are previous pages